"""
Contains constants that map court names to their respective levels and jurisdictions.
"""

COURT_LEVEL_MAPPING = {
    'nlpc': ('Provincial Court of Newfoundland and Labrador', 'newfoundland and labrador'),
    'nlpb': ('Newfoundland and Labrador Pharmacy Board', 'newfoundland and labrador'),
    'qcopodq': ("Conseil de discipline de l'Ordre des podiatres du Québec", 'québec'),
    'qcamf': ('Quebec Autorité des marchés financiers', 'québec'),
    'abca': ('Court of Appeal of Alberta', 'alberta'),
    'bccnm': ('British Columbia College of Nurses and Midwives', 'british columbia'),
    'qccmmtq': ('Corporation of Master Pipe-Mechanics of Québec', 'québec'),
    'nuwcat': ('Northwest Territories and Nunavut Workers’ Compensation Appeals Tribunal', 'nunavut'),
    'skufc': ('Saskatchewan Unified Family Court', 'saskatchewan'),
    'nbsec': ('Financial and Consumer Services Tribunal', 'new brunswick'),
    'oncdho': ('College of Dental Hygienists of Ontario', 'ontario'),
    'qccpa': ("Conseil de discipline de l'Ordre des comptables professionnels agréés du Québec", 'québec'),
    'onhrt': ('Human Rights Tribunal of Ontario', 'ontario'),
    'qctt': ('Labour Court', 'québec'),
    'bchprb': ('Health Professions Review Board of British Columbia', 'british columbia'),
    'nsawab': ('Nova Scotia Animal Welfare Appeal Board', 'nova scotia'),
    'qccdosfq': ("Conseil de discipline de l'Ordre des sages-femmes du Québec", 'québec'),
    'bcrmb': ('Registrar of Mortgage Brokers', 'british columbia'),
    'bcest': ('British Columbia Employment Standards Tribunal', 'british columbia'),
    'qctp': ('Professions Tribunal', 'québec'),
    'lsbc': ('Law Society of British Columbia', 'british columbia'),
    'qccdhj': ('Conseil de discipline de la Chambre des huissiers de justice du Québec', 'québec'),
    'skipc': ('Information and Privacy Commissioner', 'saskatchewan'),
    'abesu': ('Alberta Employment Standards Appeals', 'alberta'),
    'cmac-cacm': ('Court Martial Appeal Court of Canada', 'federal'),
    'oncswssw': ('Ontario College of Social Workers and Social Service Workers', 'ontario'),
    'qccdcrim': ("Conseil de discipline de l'Ordre des criminologues du Québec", 'québec'),
    'onbcc': ('Building Code Commission', 'ontario'),
    'skac': ('Saskatchewan Assessment Commission', 'saskatchewan'),
    'nuca': ('Court of Appeal of Nunavut', 'nunavut'),
    'bccps': ('College of Physicians and Surgeons of British Columbia', 'british columbia'),
    'abrtdrs': ('Alberta Residential Tenancy Dispute Resolution Service', 'alberta'),
    'abcpa': ('Chartered Professional Accountants of Alberta', 'alberta'),
    'onsc': ('Superior Court of Justice', 'ontario'),
    'nlhrc': ('Newfoundland and Labrador Human Rights Commission', 'newfoundland and labrador'),
    'nucj': ('Nunavut Court of Justice', 'nunavut'),
    'onsec': ('Ontario Securities Commission', 'ontario'),
    'peipc': ('Information and Privacy Commissioner', 'prince edward island'),
    'nssirt': ('Nova Scotia Serious Incident Response Team', 'nova scotia'),
    'abcpt': ('College of Physiotherapists of Alberta', 'alberta'),
    'onrc': ('Ontario Racing Commission', 'ontario'),
    'nbrea': ('New Brunswick Real Estate Association', 'new brunswick'),
    'abci': ('Alberta Commission of Inquiry', 'alberta'),
    'cm': ('Courts Martial', 'federal'),
    'onset': ('Ontario Special Education  (English) Tribunal', 'ontario'),
    'qcrmaaq': ('Régie des marchés agricoles et alimentaires du Québec', 'québec'),
    'qcoeq': ("Conseil de discipline de l'Ordre des ergothérapeutes du Québec", 'québec'),
    'bcca': ('Court of Appeal for British Columbia', 'british columbia'),
    'qcbdrvm': ('Tribunal administratif des marchés financiers', 'québec'),
    'eptc': ('Environmental Protection Tribunal of Canada', 'federal'),
    'sksec': ('Financial and Consumer Affairs Authority of Saskatchewan', 'saskatchewan'),
    'pslreb': ('Federal Public Sector Labour Relations and Employment Board', 'federal'),
    'mbca': ('Court of Appeal of Manitoba', 'manitoba'),
    'skca': ('Court of Appeal for Saskatchewan', 'saskatchewan'),
    'qccdnq': ('Conseil de discipline de la Chambre des notaires du Québec', 'québec'),
    'ntwcat': ('Northwest Territories and Nunavut Workers’ Compensation Appeals Tribunal', 'northwest territories'),
    'onombud': ('Office of the Ombudsman of Ontario', 'ontario'),
    'qcochq': ("Conseil de discipline de l'Ordre professionnel des chimistes du Québec", 'québec'),
    'ntca': ('Court of Appeal for the Northwest Territories', 'northwest territories'),
    'onscsm': ('Small Claims Court', 'ontario'),
    'qcctq': ('Commission des transports du Québec', 'québec'),
    'abesdab': ('Edmonton Subdivision and Development Appeal Board', 'alberta'),
    'abwcac': ("Appeals Commission for Alberta Workers' Compensation", 'alberta'),
    'onoct': ('Ontario College of Teachers', 'ontario'),
    'csc-scc-al': ('Supreme Court of Canada - Applications for Leave', 'federal'),
    'qcolf': ('Office de la langue française', 'québec'),
    'mbsec': ('Manitoba Securities Commission', 'manitoba'),
    'onst': ('Skilled Trades Ontario', 'ontario'),
    'qccdccoq': ("Conseil de discipline des Conseillers et conseillères d'orientation du Québec", 'québec'),
    'onfsc': ('Ontario Fire Safety Commission', 'ontario'),
    'sst-tss': ('Social Security Tribunal of Canada', 'federal'),
    'onhparb': ('Health Professions Appeal and Review Board', 'ontario'),
    'sklrb': ('Saskatchewan Labour Relations Board', 'saskatchewan'),
    'qccse': ('Conseil des services essentiels', 'québec'),
    'mbhrc': ('Manitoba Human Rights Commission', 'manitoba'),
    'qccsj': ('Commission des services juridiques', 'québec'),
    'nsca': ('Nova Scotia Court of Appeal', 'nova scotia'),
    'yksm': ('Small Claims Court of the Yukon', 'yk'),
    'pesctd': ('Supreme Court of Prince Edward Island', 'prince edward island'),
    'yksc': ('Supreme Court  of Yukon', 'yk'),
    'skdc': ('Saskatchewan District Court', 'saskatchewan'),
    'nsbs': ("Nova Scotia Barristers' Society Hearing Panel", 'nova scotia'),
    'abelarb': ('Edmonton Local Assessment Review Board', 'alberta'),
    'skcp': ('Saskatchewan College of Pharmacy Professionals', 'saskatchewan'),
    'onagc': ('Alcohol and Gaming Commission of Ontario', 'ontario'),
    'sklss': ('Law Society of Saskatchewan', 'saskatchewan'),
    'qccrt': ('Commission des relations du travail', 'québec'),
    'bcfst': ('Financial Services Tribunal', 'british columbia'),
    'ongsb': ('Grievance Settlement Board', 'ontario'),
    'onwsib': ('Ontario Workplace Safety and Insurance Board', 'ontario'),
    'nsprb': ('Nova Scotia Police Review Board', 'nova scotia'),
    'qccalp': ("Commission d'appel en matière de lésions professionnelles du Québec", 'québec'),
    'nbapab': ('New Brunswick Assessment and Planning Appeal Board', 'new brunswick'),
    'ciro-ocri': ('Canadian Investment Regulatory Organization', 'federal'),
    'oncece': ('Ontario College of Early Childhood Educators', 'ontario'),
    'nswcat': ("Nova Scotia Workers' Compensation Appeals Tribunal", 'nova scotia'),
    'bcsfi': ('Superintendent of Financial Institutions', 'british columbia'),
    'oncfsrb': ('Child and Family Services Review Board', 'ontario'),
    'pescad': ('Prince Edward Island Court of Appeal', 'prince edward island'),
    'absec': ('Alberta Securities Commission', 'alberta'),
    'oncpd': ('College of Psychologists of Ontario', 'ontario'),
    'oncpc': ('Ontario Civilian Police Commission', 'ontario'),
    'ntllb': ('Northwest Territories Liquor Licensing Board', 'northwest territories'),
    'oncpa': ('Chartered Professional Accountants of Ontario', 'ontario'),
    'nsfoipop': ('Office of the Information and Privacy Commissioner for Nova Scotia', 'nova scotia'),
    'qcotmq': ("Conseil de discipline de l'Ordre professionnel des technologistes médicaux du Québec", 'québec'),
    'nbca': ('Court of Appeal of New Brunswick', 'new brunswick'),
    'onpprb': ('Ontario Physician Payment Review Board', 'ontario'),
    'skatmpa': ('Appeal Tribunal under the Medical Profession Act', 'saskatchewan'),
    'oncps': ('Ontario Physicians and Surgeons Discipline Tribunal', 'ontario'),
    'oncpo': ('College of Physiotherapists of Ontario', 'ontario'),
    'onlat': ('Ontario Licence Appeal Tribunal', 'ontario'),
    'qcotimro': ("Conseil de discipline de l'Ordre des technologues en imagerie médicale et en radio-oncologie du Québec", 'québec'),
    'qcoagq': ("Conseil de discipline de l'Ordre des arpenteurs-géomètres du Québec", 'québec'),
    'cirb': ('Canada Industrial Relations Board', 'federal'),
    'yktc': ('Territorial Court of Yukon', 'yk'),
    'qcopq': ("Conseil de discipline de l'Ordre des psychologues du Québec", 'québec'),
    'qcopdq': ('Ordre professionnel des diététistes du Québec', 'québec'),
    'abcpsdc': ('College of Physicians and Surgeons Discipline Committee', 'alberta'),
    'bcrec': ('Real Estate Council of British Columbia', 'british columbia'),
    'nbfc': ('Financial and Consumer Services Commission', 'new brunswick'),
    'oncmt': ('Capital Markets Tribunal', 'ontario'),
    'abls': ('Law Society of Alberta', 'alberta'),
    'onfst': ('Financial Services Tribunal', 'ontario'),
    'abecarb': ('Edmonton Composite Assessment Review Board', 'alberta'),
    'bclcrb': ('British Columbia Liquor and Cannabis Regulation Branch', 'british columbia'),
    'chrt': ('Canadian Human Rights Tribunal', 'federal'),
    'nula': ('Labour Arbitration Awards', 'nunavut'),
    'yttlrb': ('Yukon Teachers Labour Relations Board', 'yk'),
    'ontlab': ('Toronto Local Appeal Body', 'ontario'),
    'qcodlq': ("Conseil de discipline de l'Ordre professionnel des denturologistes du Québec", 'québec'),
    'bcla': ('Labour Arbitration Awards', 'british columbia'),
    'qcooq': ("Conseil de discipline de l'Ordre des optométristes du Québec", 'québec'),
    'qcooaq': ("Conseil de discipline de l'Ordre professionnel des orthophonistes et audiologistes du Québec", 'québec'),
    'ytpslrb': ('Yukon Public Service Labour Relations Board', 'yk'),
    'bchrt': ('British Columbia Human Rights Tribunal', 'british columbia'),
    'nbcph': ('New Brunswick College of Pharmacists', 'new brunswick'),
    'abhrc': ('Alberta Human Rights Commission', 'alberta'),
    'cact': ('Competition Tribunal', 'federal'),
    'oncmto': ('College of Massage Therapists of Ontario', 'ontario'),
    'cacp': ('Commissioner of Patents', 'federal'),
    'sopf': ('Ship-source Oil Pollution Fund', 'federal'),
    'onert': ('Environmental Review Tribunal', 'ontario'),
    'skaia': ('Automobile Injury Appeal Commission', 'saskatchewan'),
    'nlcps': ('College of Physicians and Surgeons of Newfoundland and Labrador', 'newfoundland and labrador'),
    'caci': ('Federal Commission of Inquiry', 'federal'),
    'oncno': ('College of Nurses of Ontario Discipline Committee', 'ontario'),
    'cisr': ('Immigration and Refugee Board of Canada', 'federal'),
    'qccvm': ('Commission des valeurs mobilières du Québec', 'québec'),
    'onfscdrs': ('Ontario Financial Services Commission - Dispute Resolution Services', 'ontario'),
    'nsfc': ('Nova Scotia Family Court', 'nova scotia'),
    'qccptaq': ('Commission de protection du territoire agricole du Québec', 'québec'),
    'qccdrhri': ("Conseil de discipline de l'Ordre professionnel des conseillers en ressources humaines et en relations industrielles agrées du Québec", 'québec'),
    'sksmb': ('Saskatchewan Municipal Board', 'saskatchewan'),
    'ablprt': ('Alberta Land and Property Rights Tribunal', 'alberta'),
    'ntla': ('Labour Arbitration Awards', 'northwest territories'),
    'pec-ces': ('Pay Equity Commissioner', 'federal'),
    'qcracj': ('Régie des alcools des courses et des jeux', 'québec'),
    'qccsst': ('Commission de la santé et de la sécurité du travail', 'québec'),
    'qccnesst': ('Commission des normes, de l’équité, de la santé et de la sécurité du travail', 'québec'),
    'onape': ('Association of Professional Engineers of Ontario', 'ontario'),
    'onconrb': ('Conservation Review Board', 'ontario'),
    'qcouq': ("Conseil de discipline de l'Ordre des urbanistes du Québec", 'québec'),
    'qccdottdq': ("Conseil de discipline de l'Ordre des techniciens et techniciennes dentaires du Québec", 'québec'),
    'abplab': ('Alberta Public Lands Appeal Board', 'alberta'),
    'qcopiq': ('Ordre professionnel des inhalothérapeutes du Québec', 'québec'),
    'qctacarra': ("Tribunal d'arbitrage (RQ and CARRA)", 'québec'),
    'bcipc': ('Information and Privacy Commissioner', 'british columbia'),
    'ntyjc': ('Youth Justice Court', 'northwest territories'),
    'tatc': ('Transportation Appeal Tribunal of Canada', 'federal'),
    'nslst': ('Nova Scotia Labour Standards Tribunal', 'nova scotia'),
    'nsohsap': ('Nova Scotia Occupational Health and Safety Appeal Panel', 'nova scotia'),
    'qccdchad': ("Comité de discipline de la Chambre de l'assurance de dommages", 'québec'),
    'nuls': ('Law Society of Nunavut', 'nunavut'),
    'skrec': ('Saskatchewan Real Estate Commission', 'saskatchewan'),
    'bccds': ('College of Dental Surgeons of British Columbia', 'british columbia'),
    'qcotpq': ("Conseil de discipline de l'Ordre des technologues professionnels du Québec", 'québec'),
    'qcca': ('Court of Appeal of Quebec', 'québec'),
    'skhrc': ('Saskatchewan Human Rights Commission', 'saskatchewan'),
    'oic': ('Information Commissioner of Canada', 'federal'),
    'nslb': ('Nova Scotia Labour Board', 'nova scotia'),
    'qccm': ('Municipal Courts', 'québec'),
    'nsla': ('Labour Arbitration Awards', 'nova scotia'),
    'skmt': ('Saskatchewan Master of Titles', 'saskatchewan'),
    'onwsiat': ('Ontario Workplace Safety and Insurance Appeals Tribunal', 'ontario'),
    'skhrt': ('Saskatchewan Human Rights Tribunal', 'saskatchewan'),
    'bcpc': ('Provincial Court of British Columbia', 'british columbia'),
    'oncrb': ('Ontario Custody Review Board', 'ontario'),
    'qccmeq': ('Corporation des maîtres électriciens du Québec', 'québec'),
    'citt-tcce': ('Canadian International Trade Tribunal', 'federal'),
    'abqb': ("Court of King's Bench of Alberta", 'alberta'),
    'oncoto': ('College of Occupational Therapists of Ontario', 'ontario'),
    'bcsec': ('British Columbia Securities Commission', 'british columbia'),
    'qcopgq': ('Ordre professionnel des géologues du Québec', 'québec'),
    'ytla': ('Labour Arbitration Awards', 'yk'),
    'nbleb': ('New Brunswick Labour and Employment Board', 'new brunswick'),
    'mbls': ('Law Society of Manitoba', 'manitoba'),
    'nslrb': ('Nova Scotia Labour Relations Board', 'nova scotia'),
    'mblb': ('Manitoba Labour Board', 'manitoba'),
    'skla': ('Labour Arbitration Awards', 'saskatchewan'),
    'abpc': ('Alberta Court of Justice', 'alberta'),
    'mbla': ('Labour Arbitration Awards', 'manitoba'),
    'ntls': ('Law Society of the Northwest Territories', 'northwest territories'),
    'abeab': ('Alberta Environmental Appeal Board', 'alberta'),
    'oncicb': ('Criminal Injuries Compensation Board', 'ontario'),
    'nbbihra': ('Board of Inquiry Under the Human Rights Act', 'new brunswick'),
    'capsdpt': ('Public Servants Disclosure Protection Tribunal', 'federal'),
    'nbls': ('Law Society of New Brunswick', 'new brunswick'),
    'onafraat': ('Agriculture, Food & Rural Affairs Appeal Tribunal', 'ontario'),
    'ablerb': ('Alberta Law Enforcement Review Board', 'alberta'),
    'nbla': ('Labour Arbitration Awards', 'new brunswick'),
    'pela': ('Labour Arbitration Awards', 'prince edward island'),
    'qcoapq': ("Conseil de discipline de l'Ordre des audioprothésistes du Québec", 'québec'),
    'bcrb': ('British Columbia Review Board', 'british columbia'),
    'qccai': ("Commission d'accès à l'information", 'québec'),
    'qctaa': ("Tribunal d'arbitrage (performing, recording and film artists)", 'québec'),
    'qccdoooq': ("Conseil de discipline de l'Ordre des opticiens d'ordonnances du Québec", 'québec'),
    'bclrb': ('Labour Relations Board', 'british columbia'),
    'nssec': ('Nova Scotia Securities Commission', 'nova scotia'),
    'onmlc': ('Mining and Lands Tribunal', 'ontario'),
    'skpmb': ('Saskatchewan Provincial Mediation Board', 'saskatchewan'),
    'qcottiaq': ("Conseil de discipline de l'Ordre professionnel des traducteurs, terminologues et interprètes agréés du Québec", 'québec'),
    'cer-rec': ('Canada Energy Regulator', 'federal'),
    'nbomb': ('Ombud New Brunswick', 'new brunswick'),
    'casa-cala': ('Labour Arbitration Awards', 'federal'),
    'qctat': ('Tribunal administratif du travail', 'québec'),
    'qccq': ('Court of Quebec', 'québec'),
    'qctaq': ('Administrative Tribunal of Québec', 'québec'),
    'qccs': ('Superior Court', 'québec'),
    'oncocoo': ('College of Chiropodists of Ontario', 'ontario'),
    'qcct': ('Labour Commissioner', 'québec'),
    'tmob': ('Trademarks Opposition Board', 'federal'),
    'qcoaciq': ("Comité de discipline de l'organisme d'autoréglementation du courtage immobilier du Québec", 'québec'),
    'onmic': ('Municipal Integrity Commissioners of Ontario', 'ontario'),
    'onca': ('Court of Appeal for Ontario', 'ontario'),
    'nspc': ('Provincial Court of Nova Scotia', 'nova scotia'),
    'abreca': ('Real Estate Council of Alberta', 'alberta'),
    'oncvo': ('College of Veterinarians of Ontario', 'ontario'),
    'mbqb': ("Court of King's Bench of Manitoba", 'manitoba'),
    'sct-trp': ('Specific Claims Tribunal Canada', 'federal'),
    'skqb': ("Court of King's Bench for Saskatchewan", 'saskatchewan'),
    'onarb': ('Assessment Review Board', 'ontario'),
    'ablrb': ('Alberta Labour Relations Board', 'alberta'),
    'qcdag': ('Labour Arbitration Awards (including Conférence des arbitres)', 'québec'),
    'peirac': ('Prince Edward Island Regulatory & Appeals Commission', 'prince edward island'),
    'sklgb': ('Saskatchewan Local Government Board', 'saskatchewan'),
    'onctcmpao': ('College of Traditional Chinese Medicine Practitioners and Acupuncturists of Ontario', 'ontario'),
    'bcsp': ('Superintendent of Pensions', 'british columbia'),
    'ntlsb': ('Employment Standards Appeals Office', 'northwest territories'),
    'mbpc': ('Provincial Court of Manitoba', 'manitoba'),
    'skpc': ('Provincial Court of Saskatchewan', 'saskatchewan'),
    'bcsc': ('Supreme Court of British Columbia', 'british columbia'),
    'abgaa': ('Alberta Grievance Arbitration Awards', 'alberta'),
    'onscdc': ('Divisional Court', 'ontario'),
    'nttc': ('Territorial Court of the Northwest Territories', 'northwest territories'),
    'qcrbq': ("Régie du Bâtiment - licences d'entrepreneur de construction", 'québec'),
    'nbwhscc': ('Workers’ Compensation Appeals Tribunal', 'new brunswick'),
    'ntaat': ('Northwest Territories Assessment Appeal Tribunal', 'northwest territories'),
    'onrcdso': ('Royal College of Dental Surgeons of Ontario', 'ontario'),
    'sksu': ('Saskatchewan Surrogate Court', 'saskatchewan'),
    'bcitab': ('Skilled Trades BC Appeal Board', 'british columbia'),
    'nbpc': ('Provincial Court', 'new brunswick'),
    'qcces': ("Commission de l'équité salariale", 'québec'),
    'ondr': ('Ontario Court of the Drainage Referee', 'ontario'),
    'bcorl': ('Office of the Registrar of Lobbyists', 'british columbia'),
    'ykhrc': ('Yukon Human Rights Commission (Board of Adjudication)', 'yk'),
    'pepc': ('Provincial Court of Prince Edward Island', 'prince edward island'),
    'bcccalab': ('Community Care and Assisted Living Appeal Board', 'british columbia'),
    'nlsctd': ('Supreme Court of Newfoundland and Labrador', 'newfoundland and labrador'),
    'skmbr': ('Saskatchewan Municipal Boards of Revision', 'saskatchewan'),
    'ntsc': ('Supreme Court of the Northwest Territories', 'northwest territories'),
    'oncrpo': ('College of Registered Psychotherapists and Registered Mental Health Therapists of Ontario', 'ontario'),
    'nlca': ('Court of Appeal of Newfoundland and Labrador', 'newfoundland and labrador'),
    'ntro': ('Rental Officer', 'northwest territories'),
    'nuipc': ('Information and Privacy Commissioner', 'nunavut'),
    'onhrap': ('Horse Racing Appeal Panel', 'ontario'),
    'oncj': ('Ontario Court of Justice', 'ontario'),
    'cart-crac': ('Canada Agricultural Review Tribunal', 'federal'),
    'bcfac': ('Forest Appeals Commission', 'british columbia'),
    'nspr': ('Nova Scotia Probate Court', 'nova scotia'),
    'qccdp': ('Tribunal administratif de déontologie policière', 'québec'),
    'onco': ('College of Optometrists of Ontario', 'ontario'),
    'ykca': ('Court of Appeal of Yukon', 'yk'),
    'qctdp': ('Human Rights Tribunal', 'québec'),
    'qccmnq': ('Commission municipale du Québec', 'québec'),
    'qcoppq': ("Conseil de discipline de l'Ordre professionnel de la physiothérapie du Québec", 'québec'),
    'qccdoii': ("Conseil de discipline de l'Ordre des infirmières et infirmiers du Québec", 'québec'),
    'ntipc': ('Northwest Territories Information and Privacy Commissioner', 'northwest territories'),
    'qcoarq': ("Conseil de discipline de l'Ordre des architectes du Québec", 'québec'),
    'mbcpsdc': ('College of Physicians & Surgeons of Manitoba Discipline Committee', 'manitoba'),
    'forep': ('Foreign reported decisions', 'federal'),
    'nssc': ('Supreme Court of Nova Scotia', 'nova scotia'),
    'nssf': ('Supreme Court of Nova Scotia (Family Division)', 'nova scotia'),
    'nssm': ('Small Claims Court', 'nova scotia'),
    'onnfppb': ('Normal Farm Practices Protection Board', 'ontario'),
    'absdab': ('Calgary Subdivision & Development Appeal Board', 'alberta'),
    'bceab': ('British Columbia Environmental Appeal Board', 'british columbia'),
    'nbqb': ("Court of King's Bench of New Brunswick", 'new brunswick'),
    'nshrc': ('Nova Scotia Human Rights Commission', 'nova scotia'),
    'qccdoiia': ("Conseil de discipline de l'Ordre des infirmières et infirmiers auxiliaires du Québec", 'québec'),
    'mbhab': ('Manitoba Health Appeal Board', 'manitoba'),
    'qccraaap': ("Commission de reconnaissance des associations d'artistes et des associations de producteurs", 'québec'),
    'onlrb': ('Ontario Labour Relations Board', 'ontario'),
    'qccdcsf': ('Comité de discipline de la Chambre de la sécurité financière', 'québec'),
    'abohsab': ('Alberta Occupational Health and Safety Appeal decisions', 'alberta'),
    'skort': ('Saskatchewan Office of Residential Tenancies', 'saskatchewan'),
    'nuyc': ('Youth Justice Court of Nunavut', 'nunavut'),
    'oncaspd': ('College of Audiologists and Speech-Language Pathologists of Ontario', 'ontario'),
    'bcwcat': ("British Columbia Workers' Compensation Appeal Tribunal", 'british columbia'),
    'bcogat': ('Energy Resource Appeal Tribunal', 'british columbia'),
    'qccdoiq': ("Conseil de discipline de l'Ordre des ingénieurs du Québec", 'québec'),
    'nthrap': ('Human Rights Adjudication Panel', 'northwest territories'),
    'bchab': ('British Columbia Hospital Appeal Board', 'british columbia'),
    'ukpc': ('Judicial Committee of the Privy Council - Canadian cases', 'federal'),
    'nsuarb': ('Nova Scotia Utility and Review Board', 'nova scotia'),
    'qcohdq': ('Ordre des hygiénistes dentaires du Québec', 'québec'),
    'fca': ('Federal Court of Appeal', 'federal'),
    'qcrde': ("Régie de l'énergie", 'québec'),
    'camfda': ('Mutual Fund Dealers Association of Canada', 'federal'),
    'qcoifq': ("Conseil de discipline de l'Ordre professionnel des ingénieurs forestiers du Québec", 'québec'),
    'qcrdl': ('Tribunal administratif du logement', 'québec'),
    'fct': ('Federal Court', 'federal'),
    'nllrb': ('Newfoundland and Labrador Labour Relations Board', 'newfoundland and labrador'),
    'pssrb': ('Public Service Labour Relations Board', 'federal'),
    'skfca': ("Saskatchewan Board of Review under the Farmers' Creditors Arrangement Act, 1934", 'saskatchewan'),
    'qcopsq': ("Conseil de discipline de l'Ordre des sexologues du Québec", 'québec'),
    'nusec': ('Nunavut Registrar of Securities', 'nunavut'),
    'qccfp': ('Commission de la fonction publique', 'québec'),
    'nlla': ('Labour Arbitration Awards', 'newfoundland and labrador'),
    'onmb': ('Local Planning Appeal Tribunal', 'ontario'),
    'caiiroc': ('Investment Industry Regulatory Organization of Canada', 'federal'),
    'nscps': ('College of Physicians and Surgeons of Nova Scotia', 'nova scotia'),
    'abtsb': ('Alberta Transportation Safety Board', 'alberta'),
    'onsbt': ('Ontario Social Benefits Tribunal', 'ontario'),
    'exchc-cech': ('Exchequer Court of Canada', 'federal'),
    'onccb': ('Consent and Capacity Board', 'ontario'),
    'iccrc': ('College of Immigration and Citizenship Consultants', 'federal'),
    'onpeht': ('Ontario Pay Equity Hearings Tribunal', 'ontario'),
    'qcodq': ("Conseil de discipline de l'Ordre des dentistes du Québec", 'québec'),
    'ablcb': ('Alberta Land Compensation Board', 'alberta'),
    'psst': ('Public Service Staffing Tribunal', 'federal'),
    'onipc': ('Information and Privacy Commissioner Ontario', 'ontario'),
    'onlt': ('Ontario Land Tribunal', 'ontario'),
    'qccmq': ('Conseil de la magistrature', 'québec'),
    'onacrb': ('Ontario Animal Care Review Board', 'ontario'),
    'bcsre': ('Superintendent of Real Estate', 'british columbia'),
    'bccrt': ('Civil Resolution Tribunal of British Columbia', 'british columbia'),
    'qcadmaq': ("Conseil de discipline de l'Ordre des administrateurs agréés du Québec", 'québec'),
    'onhsarb': ('Health Services Appeal and Review Board', 'ontario'),
    'onla': ('Labour Arbitration Awards', 'ontario'),
    'bcctc': ('British Columbia Container Trucking Commissioner', 'british columbia'),
    'absra': ('SafeRoads Alberta', 'alberta'),
    'pcc-cvpc': ('Privacy Commissioner of Canada', 'federal'),
    'absrb': ('Alberta Surface Rights Board', 'alberta'),
    'qcocq': ("Conseil de discipline de l'Ordre des chiropraticiens du Québec", 'québec'),
    'qccdppq': ('Conseil de discipline des psychoéducateurs et psychoéducatrices du Québec', 'québec'),
    'ytrto': ('Yukon Residential Tenancies Office', 'yk'),
    'oncpdc': ('Ontario College of Pharmacists Discipline Committee', 'ontario'),
    'qcclp': ('Commission des lésions professionnelles du Québec', 'québec'),
    'abcgyarb': ('Calgary Assessment Review Board', 'alberta'),
    'qccdomv': ("Conseil de discipline de l'Ordre des médecins vétérinaires du Québec", 'québec'),
    'onlst': ('Law Society Tribunal', 'ontario'),
    'abmgb': ('Alberta Municipal Government Board', 'alberta'),
    'cci-tcc': ('Tax Court of Canada', 'federal'),
    'nuhrt': ('Nunavut Human Rights Tribunal', 'nunavut'),
    'qcotstcfq': ("Conseil de discipline de l'Ordre professionnel des travailleurs sociaux et des thérapeutes conjugaux et familiaux du Québec", 'québec'),
    'onpsgb': ('Ontario Public Service Grievance Board', 'ontario'),
    'onltb': ('Landlord and Tenant Board', 'ontario'),
    'oncat': ('Condominium Authority Tribunal', 'ontario'),
    'peihrc': ('Prince Edward Island Human Rights Commission', 'prince edward island'),
    'pelrb': ('Prince Edward Island Labour Relations Board', 'prince edward island'),
    'nlipc': ('Information and Privacy Commissioner', 'newfoundland and labrador'),
    'qcagq': ("Conseil de discipline de l'Ordre des agronomes du Québec", 'québec'),
    'qcoeaq': ("Conseil de discipline de l'Ordre professionnel des évaluateurs agréés du Québec", 'québec'),
    'ablcsab': ('Alberta Licence and Community Standards Appeal Board', 'alberta'),
    'ohstc': ('Occupational Health and Safety Tribunal Canada', 'federal'),
    'cbc': ('Copyright Board of Canada', 'federal'),
    'qcoagbrn': ('Arbitration - The Guarantee Plan For New Residential Buildings', 'québec'),
    'qccdcm': ('Collège des médecins du Québec Disciplinary Council', 'québec'),
    'qcoaq': ("Conseil de discipline de l'Ordre des acupuncteurs du Québec", 'québec'),
    'vrab': ('Veterans Review and Appeal Board of Canada', 'federal'),
    'cbsc-ccnr': ('Canadian Broadcast Standards Council', 'federal'),
    'qccja': ('Conseil de la justice administrative', 'québec'),
    'qccdopq': ("Conseil de discipline de l'Ordre des pharmaciens du Québec", 'québec'),
    'abhraat': ('Horse Racing Alberta Appeal Tribunal', 'alberta'),
    'aboipc': ('Office of the Information and Privacy Commissioner', 'alberta'),
    'nlls': ('Law Society of Newfoundland and Labrador', 'newfoundland and labrador'),
    'csc-scc': ('Supreme Court of Canada', 'federal'),
    'qccdbq': ('Barreau du Québec  Disciplinary Council', 'québec'),
}

COURT_LEVEL_MAPPING_LEGACY = {
    "scc": ("Supreme Court of Canada", "federal"),
    "scc-l": ("Supreme Court of Canada - Applications for Leave", "federal"),
    "ukjcpc": ("Judicial Committee of the Privy Council - Canadian cases", "federal"),
    "fca": ("Federal Court of Appeal", "federal"),
    "fc": ("Federal Court", "federal"),
    "tcc": ("Tax Court of Canada", "federal"),
    "exch": ("Exchequer Court of Canada", "federal"),
    "cmac": ("Court Martial Appeal Court of Canada", "federal"),
    "cm": ("Courts Martial", "federal"),
    "forep": ("Foreign reported decisions", "federal"),
    "cart": ("Canada Agricultural Review Tribunal", "federal"),
    "cer": ("Canada Energy Regulator", "federal"),
    "cirb": ("Canada Industrial Relations Board", "federal"),
    "cbsc": ("Canadian Broadcast Standards Council", "federal"),
    "chrt": ("Canadian Human Rights Tribunal", "federal"),
    "citt": ("Canadian International Trade Tribunal", "federal"),
    "ciro": ("Canadian Investment Regulatory Organization", "federal"),
    "cicc": ("College of Immigration and Citizenship Consultants", "federal"),
    "cacp": ("Commissioner of Patents", "federal"),
    "cact": ("Competition Tribunal", "federal"),
    "cb": ("Copyright Board of Canada", "federal"),
    "eptc": ("Environmental Protection Tribunal of Canada", "federal"),
    "caci": ("Federal Commission of Inquiry", "federal"),
    "pslreb": (
        "Federal Public Sector Labour Relations and Employment Board",
        "federal",
    ),
    "irb": ("Immigration and Refugee Board of Canada", "federal"),
    "oic": ("Information Commissioner of Canada", "federal"),
    "iiroc": ("Investment Industry Regulatory Organization of Canada", "federal"),
    "cala": ("Labour Arbitration Awards", "federal"),
    "camfda": ("Mutual Fund Dealers Association of Canada", "federal"),
    "ohstc": ("Occupational Health and Safety Tribunal Canada", "federal"),
    "pec": ("Pay Equity Commissioner", "federal"),
    "pcc": ("Privacy Commissioner of Canada", "federal"),
    "psdpt": ("Public Servants Disclosure Protection Tribunal", "federal"),
    "pssrb": ("Public Service Labour Relations Board", "federal"),
    "psst": ("Public Service Staffing Tribunal", "federal"),
    "sopf": ("Ship-source Oil Pollution Fund", "federal"),
    "sst": ("Social Security Tribunal of Canada", "federal"),
    "sct": ("Specific Claims Tribunal Canada", "federal"),
    "tmob": ("Trademarks Opposition Board", "federal"),
    "tatc": ("Transportation Appeal Tribunal of Canada", "federal"),
    "vrab": ("Veterans Review and Appeal Board of Canada", "federal"),
    "bcca": ("Court of Appeal for British Columbia", "british columbia"),
    "bcsc": ("Supreme Court of British Columbia", "british columbia"),
    "bcpc": ("Provincial Court of British Columbia", "british columbia"),
    "bccnm": ("British Columbia College of Nurses and Midwives", "british columbia"),
    "bcctc": ("British Columbia Container Trucking Commissioner", "british columbia"),
    "bcest": ("British Columbia Employment Standards Tribunal", "british columbia"),
    "bceab": ("British Columbia Environmental Appeal Board", "british columbia"),
    "bchab": ("British Columbia Hospital Appeal Board", "british columbia"),
    "bchrt": ("British Columbia Human Rights Tribunal", "british columbia"),
    "bclcrb": (
        "British Columbia Liquor and Cannabis Regulation Branch",
        "british columbia",
    ),
    "bcsec": ("British Columbia Securities Commission", "british columbia"),
    "bcwcat": (
        "British Columbia Workers' Compensation Appeal Tribunal",
        "british columbia",
    ),
    "bccrt": ("Civil Resolution Tribunal of British Columbia", "british columbia"),
    "bccds": ("College of Dental Surgeons of British Columbia", "british columbia"),
    "bccps": (
        "College of Physicians and Surgeons of British Columbia",
        "british columbia",
    ),
    "bcccalab": ("Community Care and Assisted Living Appeal Board", "british columbia"),
    "bcerat": ("Energy Resource Appeal Tribunal", "british columbia"),
    "bcfst": ("Financial Services Tribunal", "british columbia"),
    "bcfac": ("Forest Appeals Commission", "british columbia"),
    "bchprb": (
        "Health Professions Review Board of British Columbia",
        "british columbia",
    ),
    "bcipc": ("Information and Privacy Commissioner", "british columbia"),
    "bcla": ("Labour Arbitration Awards", "british columbia"),
    "bclrb": ("Labour Relations Board", "british columbia"),
    "lsbc": ("Law Society of British Columbia", "british columbia"),
    "bcorl": ("Office of the Registrar of Lobbyists", "british columbia"),
    "bcrec": ("Real Estate Council of British Columbia", "british columbia"),
    "bcrmb": ("Registrar of Mortgage Brokers", "british columbia"),
    "bcstab": ("Skilled Trades BC Appeal Board", "british columbia"),
    "bcsfi": ("Superintendent of Financial Institutions", "british columbia"),
    "bcsp": ("Superintendent of Pensions", "british columbia"),
    "bcsre": ("Superintendent of Real Estate", "british columbia"),
    "abca": ("Court of Appeal of Alberta", "alberta"),
    "abkb": ("Court of King's Bench of Alberta", "alberta"),
    "abqb": ("Court of Queen's Bench of Alberta", "alberta"),
    "abcj": ("Alberta Court of Justice", "alberta"),
    "abpc": ("Provincial Court of Alberta", "alberta"),
    "abci": ("Alberta Commission of Inquiry", "alberta"),
    "abesa": ("Alberta Employment Standards Appeals", "alberta"),
    "abeab": ("Alberta Environmental Appeal Board", "alberta"),
    "abgaa": ("Alberta Grievance Arbitration Awards", "alberta"),
    "ahrc": ("Alberta Human Rights Commission", "alberta"),
    "ablrb": ("Alberta Labour Relations Board", "alberta"),
    "ablprt": ("Alberta Land and Property Rights Tribunal", "alberta"),
    "ablcb": ("Alberta Land Compensation Board", "alberta"),
    "ablerb": ("Alberta Law Enforcement Review Board", "alberta"),
    "ablcsab": ("Alberta Licence and Community Standards Appeal Board", "alberta"),
    "abmgb": ("Alberta Municipal Government Board", "alberta"),
    "abplab": ("Alberta Public Lands Appeal Board", "alberta"),
    "abrtdrs": ("Alberta Residential Tenancy Dispute Resolution Service", "alberta"),
    "absec": ("Alberta Securities Commission", "alberta"),
    "absrb": ("Alberta Surface Rights Board", "alberta"),
    "abtsb": ("Alberta Transportation Safety Board", "alberta"),
    "abwcac": ("Appeals Commission for Alberta Workers' Compensation", "alberta"),
    "abcgyarb": ("Calgary Assessment Review Board", "alberta"),
    "cgysdab": ("Calgary Subdivision & Development Appeal Board", "alberta"),
    "abcpa": ("Chartered Professional Accountants of Alberta", "alberta"),
    "abcpsdc": ("College of Physicians and Surgeons Discipline Committee", "alberta"),
    "abecarb": ("Edmonton Composite Assessment Review Board", "alberta"),
    "abelarb": ("Edmonton Local Assessment Review Board", "alberta"),
    "abesdab": ("Edmonton Subdivision and Development Appeal Board", "alberta"),
    "abhraat": ("Horse Racing Alberta Appeal Tribunal", "alberta"),
    "abls": ("Law Society of Alberta", "alberta"),
    "aboipc": ("Office of the Information and Privacy Commissioner", "alberta"),
    "abpaca": ("Physiotherapy Alberta College Association", "alberta"),
    "abreca": ("Real Estate Council of Alberta", "alberta"),
    "absra": ("SafeRoads Alberta", "alberta"),
    "skca": ("Court of Appeal for Saskatchewan", "saskatchewan"),
    "skkb": ("Court of King's Bench for Saskatchewan", "saskatchewan"),
    "skqb": ("Court of Queen's Bench for Saskatchewan", "saskatchewan"),
    "skpc": ("Provincial Court of Saskatchewan", "saskatchewan"),
    "skdc": ("Saskatchewan District Court", "saskatchewan"),
    "sksu": ("Saskatchewan Surrogate Court", "saskatchewan"),
    "skufc": ("Saskatchewan Unified Family Court", "saskatchewan"),
    "skatmpa": ("Appeal Tribunal under the Medical Profession Act", "saskatchewan"),
    "skaia": ("Automobile Injury Appeal Commission", "saskatchewan"),
    "sksec": (
        "Financial and Consumer Affairs Authority of Saskatchewan",
        "saskatchewan",
    ),
    "skipc": ("Information and Privacy Commissioner", "saskatchewan"),
    "skla": ("Labour Arbitration Awards", "saskatchewan"),
    "sklss": ("Law Society of Saskatchewan", "saskatchewan"),
    "skac": ("Saskatchewan Assessment Commission", "saskatchewan"),
    "skfca": (
        "Saskatchewan Board of Review under the Farmers' Creditors Arrangement Act, 1934",
        "saskatchewan",
    ),
    "skcppdc": ("Saskatchewan College of Pharmacy Professionals", "saskatchewan"),
    "skhrc": ("Saskatchewan Human Rights Commission", "saskatchewan"),
    "skhrt": ("Saskatchewan Human Rights Tribunal", "saskatchewan"),
    "sklrb": ("Saskatchewan Labour Relations Board", "saskatchewan"),
    "sklgb": ("Saskatchewan Local Government Board", "saskatchewan"),
    "skmt": ("Saskatchewan Master of Titles", "saskatchewan"),
    "skmb": ("Saskatchewan Municipal Board", "saskatchewan"),
    "skmbr": ("Saskatchewan Municipal Boards of Revision", "saskatchewan"),
    "skort": ("Saskatchewan Office of Residential Tenancies", "saskatchewan"),
    "skpmb": ("Saskatchewan Provincial Mediation Board", "saskatchewan"),
    "skrec": ("Saskatchewan Real Estate Commission", "saskatchewan"),
    "mbca": ("Court of Appeal of Manitoba", "manitoba"),
    "mbkb": ("Court of King's Bench of Manitoba", "manitoba"),
    "mbqb": ("Court of Queen's Bench of Manitoba", "manitoba"),
    "mbpc": ("Provincial Court of Manitoba", "manitoba"),
    "mbcpsdc": (
        "College of Physicians & Surgeons of Manitoba Discipline Committee",
        "manitoba",
    ),
    "mbla": ("Labour Arbitration Awards", "manitoba"),
    "mbls": ("Law Society of Manitoba", "manitoba"),
    "mbhab": ("Manitoba Health Appeal Board", "manitoba"),
    "mbhrc": ("Manitoba Human Rights Commission", "manitoba"),
    "mblb": ("Manitoba Labour Board", "manitoba"),
    "mbsec": ("Manitoba Securities Commission", "manitoba"),
    "onca": ("Court of Appeal for Ontario", "ontario"),
    "onsc": ("Superior Court of Justice", "ontario"),
    "onscdc": ("Divisional Court", "ontario"),
    "onscsm": ("Small Claims Court", "ontario"),
    "oncj": ("Ontario Court of Justice", "ontario"),
    "onafraat": ("Agriculture, Food & Rural Affairs Appeal Tribunal", "ontario"),
    "onagc": ("Alcohol and Gaming Commission of Ontario", "ontario"),
    "onarb": ("Assessment Review Board", "ontario"),
    "onape": ("Association of Professional Engineers of Ontario", "ontario"),
    "onbcc": ("Building Code Commission", "ontario"),
    "oncmt": ("Capital Markets Tribunal", "ontario"),
    "oncpa": ("Chartered Professional Accountants of Ontario", "ontario"),
    "oncfsrb": ("Child and Family Services Review Board", "ontario"),
    "oncaspd": (
        "College of Audiologists and Speech-Language Pathologists of Ontario",
        "ontario",
    ),
    "oncocoo": ("College of Chiropodists of Ontario", "ontario"),
    "oncdho": ("College of Dental Hygienists of Ontario", "ontario"),
    "oncmto": ("College of Massage Therapists of Ontario", "ontario"),
    "oncno": ("College of Nurses of Ontario Discipline Committee", "ontario"),
    "oncot": ("College of Occupational Therapists of Ontario", "ontario"),
    "onco": ("College of Optometrists of Ontario", "ontario"),
    "oncpo": ("College of Physiotherapists of Ontario", "ontario"),
    "oncpd": ("College of Psychologists of Ontario", "ontario"),
    "oncrpo": (
        "College of Registered Psychotherapists and Registered Mental Health Therapists of Ontario",
        "ontario",
    ),
    "onctcmpao": (
        "College of Traditional Chinese Medicine Practitioners and Acupuncturists of Ontario",
        "ontario",
    ),
    "oncat": ("Condominium Authority Tribunal", "ontario"),
    "onccb": ("Consent and Capacity Board", "ontario"),
    "onconrb": ("Conservation Review Board", "ontario"),
    "oncicb": ("Criminal Injuries Compensation Board", "ontario"),
    "onert": ("Environmental Review Tribunal", "ontario"),
    "onfst": ("Financial Services Tribunal", "ontario"),
    "ongsb": ("Grievance Settlement Board", "ontario"),
    "onhparb": ("Health Professions Appeal and Review Board", "ontario"),
    "onhsarb": ("Health Services Appeal and Review Board", "ontario"),
    "onhrap": ("Horse Racing Appeal Panel", "ontario"),
    "onhrt": ("Human Rights Tribunal of Ontario", "ontario"),
    "onipc": ("Information and Privacy Commissioner Ontario", "ontario"),
    "onla": ("Labour Arbitration Awards", "ontario"),
    "onltb": ("Landlord and Tenant Board", "ontario"),
    "onlst": ("Law Society Tribunal", "ontario"),
    "onlpat": ("Local Planning Appeal Tribunal", "ontario"),
    "onmlt": ("Mining and Lands Tribunal", "ontario"),
    "onmic": ("Municipal Integrity Commissioners of Ontario", "ontario"),
    "onnfppb": ("Normal Farm Practices Protection Board", "ontario"),
    "onombud": ("Office of the Ombudsman of Ontario", "ontario"),
    "onacrb": ("Ontario Animal Care Review Board", "ontario"),
    "oncpc": ("Ontario Civilian Police Commission", "ontario"),
    "oncece": ("Ontario College of Early Childhood Educators", "ontario"),
    "oncpdc": ("Ontario College of Pharmacists Discipline Committee", "ontario"),
    "oncswssw": (
        "Ontario College of Social Workers and Social Service Workers",
        "ontario",
    ),
    "onoct": ("Ontario College of Teachers", "ontario"),
    "ondr": ("Ontario Court of the Drainage Referee", "ontario"),
    "oncrb": ("Ontario Custody Review Board", "ontario"),
    "onfscdrs": (
        "Ontario Financial Services Commission - Dispute Resolution Services",
        "ontario",
    ),
    "onfsc": ("Ontario Fire Safety Commission", "ontario"),
    "onlrb": ("Ontario Labour Relations Board", "ontario"),
    "onlt": ("Ontario Land Tribunal", "ontario"),
    "onlat": ("Ontario Licence Appeal Tribunal", "ontario"),
    "onpeht": ("Ontario Pay Equity Hearings Tribunal", "ontario"),
    "onpprb": ("Ontario Physician Payment Review Board", "ontario"),
    "onpsdt": ("Ontario Physicians and Surgeons Discipline Tribunal", "ontario"),
    "onpsgb": ("Ontario Public Service Grievance Board", "ontario"),
    "onrc": ("Ontario Racing Commission", "ontario"),
    "onsec": ("Ontario Securities Commission", "ontario"),
    "onsbt": ("Ontario Social Benefits Tribunal", "ontario"),
    "onset": ("Ontario Special Education  (English) Tribunal", "ontario"),
    "onwsiat": ("Ontario Workplace Safety and Insurance Appeals Tribunal", "ontario"),
    "onwsib": ("Ontario Workplace Safety and Insurance Board", "ontario"),
    "onrcdso": ("Royal College of Dental Surgeons of Ontario", "ontario"),
    "onst": ("Skilled Trades Ontario", "ontario"),
    "ontlab": ("Toronto Local Appeal Body", "ontario"),
    "qcca": ("Court of Appeal of Quebec", "québec"),
    "qccs": ("Superior Court", "québec"),
    "qccq": ("Court of Quebec", "québec"),
    "qctdp": ("Human Rights Tribunal", "québec"),
    "qctp": ("Professions Tribunal", "québec"),
    "qccm": ("Municipal Courts", "québec"),
    "qctaq": ("Administrative Tribunal of Québec", "québec"),
    "qcoagbrn": (
        "Arbitration - The Guarantee Plan For New Residential Buildings",
        "québec",
    ),
    "qccdbq": ("Barreau du Québec  Disciplinary Council", "québec"),
    "qccdcm": ("Collège des médecins du Québec Disciplinary Council", "québec"),
    "qccdp": ("Comité de déontologie policière", "québec"),
    "qcoaciq": (
        "Comité de discipline de l'organisme d'autoréglementation du courtage immobilier du Québec",
        "québec",
    ),
    "qccdchad": (
        "Comité de discipline de la Chambre de l'assurance de dommages",
        "québec",
    ),
    "qccdcsf": (
        "Comité de discipline de la Chambre de la sécurité financière",
        "québec",
    ),
    "qccai": ("Commission d'accès à l'information", "québec"),
    "qccalp": (
        "Commission d'appel en matière de lésions professionnelles du Québec",
        "québec",
    ),
    "qcces": ("Commission de l'équité salariale", "québec"),
    "qccfp": ("Commission de la fonction publique", "québec"),
    "qccsst": ("Commission de la santé et de la sécurité du travail", "québec"),
    "qccptaq": ("Commission de protection du territoire agricole du Québec", "québec"),
    "qccraaap": (
        "Commission de reconnaissance des associations d'artistes et des associations de producteurs",
        "québec",
    ),
    "qcclp": ("Commission des lésions professionnelles du Québec", "québec"),
    "qccnesst": (
        "Commission des normes, de l’équité, de la santé et de la sécurité du travail",
        "québec",
    ),
    "qccrt": ("Commission des relations du travail", "québec"),
    "qccsj": ("Commission des services juridiques", "québec"),
    "qcctq": ("Commission des transports du Québec", "québec"),
    "qccvm": ("Commission des valeurs mobilières du Québec", "québec"),
    "qccmnq": ("Commission municipale du Québec", "québec"),
    "qcoaq": ("Conseil de discipline de l'Ordre des acupuncteurs du Québec", "québec"),
    "qcadmaq": (
        "Conseil de discipline de l'Ordre des administrateurs agréés du Québec",
        "québec",
    ),
    "qcagq": ("Conseil de discipline de l'Ordre des agronomes du Québec", "québec"),
    "qcoarq": ("Conseil de discipline de l'Ordre des architectes du Québec", "québec"),
    "qcoagq": (
        "Conseil de discipline de l'Ordre des arpenteurs-géomètres du Québec",
        "québec",
    ),
    "qcoapq": (
        "Conseil de discipline de l'Ordre des audioprothésistes du Québec",
        "québec",
    ),
    "qcocq": (
        "Conseil de discipline de l'Ordre des chiropraticiens du Québec",
        "québec",
    ),
    "qccpa": (
        "Conseil de discipline de l'Ordre des comptables professionnels agréés du Québec",
        "québec",
    ),
    "qccdcrim": (
        "Conseil de discipline de l'Ordre des criminologues du Québec",
        "québec",
    ),
    "qcodq": ("Conseil de discipline de l'Ordre des dentistes du Québec", "québec"),
    "qcoeq": (
        "Conseil de discipline de l'Ordre des ergothérapeutes du Québec",
        "québec",
    ),
    "qccdoiia": (
        "Conseil de discipline de l'Ordre des infirmières et infirmiers auxiliaires du Québec",
        "québec",
    ),
    "qccdoii": (
        "Conseil de discipline de l'Ordre des infirmières et infirmiers du Québec",
        "québec",
    ),
    "qccdoiq": ("Conseil de discipline de l'Ordre des ingénieurs du Québec", "québec"),
    "qccdomv": (
        "Conseil de discipline de l'Ordre des médecins vétérinaires du Québec",
        "québec",
    ),
    "qccdoooq": (
        "Conseil de discipline de l'Ordre des opticiens d'ordonnances du Québec",
        "québec",
    ),
    "qcooq": ("Conseil de discipline de l'Ordre des optométristes du Québec", "québec"),
    "qccdopq": ("Conseil de discipline de l'Ordre des pharmaciens du Québec", "québec"),
    "qcopodq": ("Conseil de discipline de l'Ordre des podiatres du Québec", "québec"),
    "qcopq": ("Conseil de discipline de l'Ordre des psychologues du Québec", "québec"),
    "qccdsf": (
        "Conseil de discipline de l'Ordre des sages-femmes du Québec",
        "québec",
    ),
    "qccdosfq": (
        "Conseil de discipline de l'Ordre des sages-femmes du Québec",
        "québec",
    ),
    "qcopsq": ("Conseil de discipline de l'Ordre des sexologues du Québec", "québec"),
    "qccdottdq": (
        "Conseil de discipline de l'Ordre des techniciens et techniciennes dentaires du Québec",
        "québec",
    ),
    "qcotimro": (
        "Conseil de discipline de l'Ordre des technologues en imagerie médicale et en radio-oncologie du Québec",
        "québec",
    ),
    "qcotpq": (
        "Conseil de discipline de l'Ordre des technologues professionnels du Québec",
        "québec",
    ),
    "qcouq": ("Conseil de discipline de l'Ordre des urbanistes du Québec", "québec"),
    "qcoppq": (
        "Conseil de discipline de l'Ordre professionnel de la physiothérapie du Québec",
        "québec",
    ),
    "qcochq": (
        "Conseil de discipline de l'Ordre professionnel des chimistes du Québec",
        "québec",
    ),
    "qccdrhri": (
        "Conseil\n de discipline de l'Ordre professionnel des conseillers en ressources \nhumaines et en relations industrielles agrées du Québec",
        "québec",
    ),
    "qcodlq": (
        "Conseil de discipline de l'Ordre professionnel des denturologistes du Québec",
        "québec",
    ),
    "qcoeaq": (
        "Conseil de discipline de l'Ordre professionnel des évaluateurs agréés du Québec",
        "québec",
    ),
    "qcoifq": (
        "Conseil de discipline de l'Ordre professionnel des ingénieurs forestiers du Québec",
        "québec",
    ),
    "qcooaq": (
        "Conseil de discipline de l'Ordre professionnel des orthophonistes et audiologistes du Québec",
        "québec",
    ),
    "qcotmq": (
        "Conseil de discipline de l'Ordre professionnel des technologistes médicaux du Québec",
        "québec",
    ),
    "qcottiaq": (
        "Conseil de discipline de l'Ordre professionnel des traducteurs, terminologues et interprètes agréés du Québec",
        "québec",
    ),
    "qcotstcfq": (
        "Conseil de discipline de l'Ordre professionnel des travailleurs sociaux et des thérapeutes conjugaux et familiaux du Québec",
        "québec",
    ),
    "qccdhj": (
        "Conseil de discipline de la Chambre des huissiers de justice du Québec",
        "québec",
    ),
    "qccdnq": ("Conseil de discipline de la Chambre des notaires du Québec", "québec"),
    "qccdccoq": (
        "Conseil de discipline des Conseillers et conseillères d'orientation du Québec",
        "québec",
    ),
    "qccdppq": (
        "Conseil de discipline des psychoéducateurs et psychoéducatrices du Québec",
        "québec",
    ),
    "qccja": ("Conseil de la justice administrative", "québec"),
    "qccmq": ("Conseil de la magistrature", "québec"),
    "qccse": ("Conseil des services essentiels", "québec"),
    "qccmeq": ("Corporation des maîtres électriciens du Québec", "québec"),
    "qccmpmq": ("Corporation of Master Pipe-Mechanics of Québec", "québec"),
    "qctadp": ("Tribunal administratif de déontologie policière", "québec"),
    "qcla": ("Labour Arbitration Awards (including Conférence des arbitres)", "québec"),
    "qcct": ("Labour Commissioner", "québec"),
    "qctt": ("Labour Court", "québec"),
    "qcolf": ("Office de la langue française", "québec"),
    "qcohdq": ("Ordre des hygiénistes dentaires du Québec", "québec"),
    "qcopdq": ("Ordre professionnel des diététistes du Québec", "québec"),
    "qcopgq": ("Ordre professionnel des géologues du Québec", "québec"),
    "qcopiq": ("Ordre professionnel des inhalothérapeutes du Québec", "québec"),
    "qcamf": ("Quebec Autorité des marchés financiers", "québec"),
    "qcrde": ("Régie de l'énergie", "québec"),
    "qcracj": ("Régie des alcools des courses et des jeux", "québec"),
    "qcrmaaq": ("Régie des marchés agricoles et alimentaires du Québec", "québec"),
    "qcrbq": ("Régie du Bâtiment - licences d'entrepreneur de construction", "québec"),
    "qctmf": ("Tribunal administratif des marchés financiers", "québec"),
    "qctal": ("Tribunal administratif du logement", "québec"),
    "qctat": ("Tribunal administratif du travail", "québec"),
    "qctaa": (
        "Tribunal d'arbitrage (performing, recording and film artists)",
        "québec",
    ),
    "qcta": ("Tribunal d'arbitrage (RQ and CARRA)", "québec"),
    "nbca": ("Court of Appeal of New Brunswick", "new brunswick"),
    "nbkb": ("Court of King's Bench of New Brunswick", "new brunswick"),
    "nkqb": ("Court of Queen's Bench of New Brunswick", "new brunswick"),
    "nbpc": ("Provincial Court", "new brunswick"),
    "nbbihra": ("Board of Inquiry Under the Human Rights Act", "new brunswick"),
    "nbfcsc": ("Financial and Consumer Services Commission", "new brunswick"),
    "nbfcst": ("Financial and Consumer Services Tribunal", "new brunswick"),
    "nbla": ("Labour Arbitration Awards", "new brunswick"),
    "nblsb": ("Law Society of New Brunswick", "new brunswick"),
    "nbapab": ("New Brunswick Assessment and Planning Appeal Board", "new brunswick"),
    "nbcph": ("New Brunswick College of Pharmacists", "new brunswick"),
    "nbleb": ("New Brunswick Labour and Employment Board", "new brunswick"),
    "nbrea": ("New Brunswick Real Estate Association", "new brunswick"),
    "nbombud": ("Ombud New Brunswick", "new brunswick"),
    "nbwcat": ("Workers’ Compensation Appeals Tribunal", "new brunswick"),
    "nsca": ("Nova Scotia Court of Appeal", "nova scotia"),
    "nssc": ("Supreme Court of Nova Scotia", "nova scotia"),
    "nssf": ("Supreme Court of Nova Scotia (Family Division)", "nova scotia"),
    "nspc": ("Provincial Court of Nova Scotia", "nova scotia"),
    "nssm": ("Small Claims Court", "nova scotia"),
    "nspr": ("Nova Scotia Probate Court", "nova scotia"),
    "nsfc": ("Nova Scotia Family Court", "nova scotia"),
    "nscps": ("College of Physicians and Surgeons of Nova Scotia", "nova scotia"),
    "nsla": ("Labour Arbitration Awards", "nova scotia"),
    "nsawab": ("Nova Scotia Animal Welfare Appeal Board", "nova scotia"),
    "nsbs": ("Nova Scotia Barristers' Society Hearing Panel", "nova scotia"),
    "nshrc": ("Nova Scotia Human Rights Commission", "nova scotia"),
    "nslb": ("Nova Scotia Labour Board", "nova scotia"),
    "nslrb": ("Nova Scotia Labour Relations Board", "nova scotia"),
    "nslst": ("Nova Scotia Labour Standards Tribunal", "nova scotia"),
    "nsohsap": (
        "Nova Scotia Occupational Health and Safety Appeal Panel",
        "nova scotia",
    ),
    "nsprb": ("Nova Scotia Police Review Board", "nova scotia"),
    "nssec": ("Nova Scotia Securities Commission", "nova scotia"),
    "nssirt": ("Nova Scotia Serious Incident Response Team", "nova scotia"),
    "nsuarb": ("Nova Scotia Utility and Review Board", "nova scotia"),
    "nswcat": ("Nova Scotia Workers' Compensation Appeals Tribunal", "nova scotia"),
    "nsoipc": (
        "Office of the Information and Privacy Commissioner for Nova Scotia",
        "nova scotia",
    ),
    "pescad": ("Prince Edward Island Court of Appeal", "prince edward island"),
    "peca": ("Prince Edward Island Court of Appeal", "prince edward island"),
    "pesctd": ("Supreme Court of Prince Edward Island", "prince edward island"),
    "pepc": ("Provincial Court of Prince Edward Island", "prince edward island"),
    "peipc": ("Information and Privacy Commissioner", "prince edward island"),
    "pela": ("Labour Arbitration Awards", "prince edward island"),
    "peihrc": ("Prince Edward Island Human Rights Commission", "prince edward island"),
    "pelrb": ("Prince Edward Island Labour Relations Board", "prince edward island"),
    "peirac": (
        "Prince Edward Island Regulatory & Appeals Commission",
        "prince edward island",
    ),
    "nlca": (
        "Court of Appeal of Newfoundland and Labrador",
        "newfoundland and labrador",
    ),
    "nlsc": ("Supreme Court of Newfoundland and Labrador", "newfoundland and labrador"),
    "nltd": ("Supreme Court of Newfoundland and Labrador Trial Division", "newfoundland and labrador"),
    "nlpc": (
        "Provincial Court of Newfoundland and Labrador",
        "newfoundland and labrador",
    ),
    "nlcps": (
        "College of Physicians and Surgeons of Newfoundland and Labrador",
        "newfoundland and labrador",
    ),
    "nlipc": ("Information and Privacy Commissioner", "newfoundland and labrador"),
    "nlla": ("Labour Arbitration Awards", "newfoundland and labrador"),
    "nlls": ("Law Society of Newfoundland and Labrador", "newfoundland and labrador"),
    "nlhrc": (
        "Newfoundland and Labrador Human Rights Commission",
        "newfoundland and labrador",
    ),
    "nllrb": (
        "Newfoundland and Labrador Labour Relations Board",
        "newfoundland and labrador",
    ),
    "nlpb": ("Newfoundland and Labrador Pharmacy Board", "newfoundland and labrador"),
    "ykca": ("Court of Appeal of Yukon", "yukon"),
    "yksc": ("Supreme Court  of Yukon", "yukon"),
    "yktc": ("Territorial Court of Yukon", "yukon"),
    "yksm": ("Small Claims Court of the Yukon", "yukon"),
    "ytla": ("Labour Arbitration Awards", "yukon"),
    "ykhrc": ("Yukon Human Rights Commission (Board of Adjudication)", "yukon"),
    "ytpslrb": ("Yukon Public Service Labour Relations Board", "yukon"),
    "ytrto": ("Yukon Residential Tenancies Office", "yukon"),
    "yttlrb": ("Yukon Teachers Labour Relations Board", "yukon"),
    "ntca": ("Court of Appeal for the Northwest Territories", "northwest territories"),
    "ntsc": ("Supreme Court of the Northwest Territories", "northwest territories"),
    "nttc": ("Territorial Court of the Northwest Territories", "northwest territories"),
    "ntyjc": ("Youth Justice Court", "northwest territories"),
    "ntlsb": ("Employment Standards Appeals Office", "northwest territories"),
    "nthrap": ("Human Rights Adjudication Panel", "northwest territories"),
    "ntla": ("Labour Arbitration Awards", "northwest territories"),
    "ntls": ("Law Society of the Northwest Territories", "northwest territories"),
    "ntwcat": (
        "Northwest Territories and Nunavut Workers’ Compensation Appeals Tribunal",
        "northwest territories",
    ),
    "ntaat": (
        "Northwest Territories Assessment Appeal Tribunal",
        "northwest territories",
    ),
    "ntipc": (
        "Northwest Territories Information and Privacy Commissioner",
        "northwest territories",
    ),
    "ntllb": ("Northwest Territories Liquor Licensing Board", "northwest territories"),
    "ntro": ("Rental Officer", "northwest territories"),
    "nuca": ("Court of Appeal of Nunavut", "nunavut"),
    "nucj": ("Nunavut Court of Justice", "nunavut"),
    "yjcn": ("Youth Justice Court of Nunavut", "nunavut"),
    "nuipc": ("Information and Privacy Commissioner", "nunavut"),
    "nula": ("Labour Arbitration Awards", "nunavut"),
    "nuls": ("Law Society of Nunavut", "nunavut"),
    "nuwcat": (
        "Northwest Territories and Nunavut Workers’ Compensation Appeals Tribunal",
        "nunavut",
    ),
    "nuhrt": ("Nunavut Human Rights Tribunal", "nunavut"),
    "nusec": ("Nunavut Registrar of Securities", "nunavut"),
}

COURT_HIERARCHY_CRIMINAL = {
    "scc": "federal appellate",
    "scc-l": "federal appellate",
    "bcca": "provincial appellate",
    "bcsc": "superior",
    "bcpc": "provincial",
    "abca": "provincial appellate",
    "abkb": "superior",
    "abqb": "superior",
    "abcj": "provincial",
    "abpc": "provincial",
    "skca": "provincial appellate",
    "skkb": "superior",
    "skqb": "superior",
    "skpc": "provincial",
    "mbca": "provincial appellate",
    "mbkb": "superior",
    "mbqb": "superior",
    "mbpc": "provincial",
    "onca": "provincial appellate",
    "onsc": "superior",
    "oncj": "provincial",
    "qcca": "provincial appellate",
    "qccs": "superior",
    "qccq": "provincial",
    "nbca": "provincial appellate",
    "nbkb": "superior",
    "nkqb": "superior",
    "nbpc": "provincial",
    "nsca": "provincial appellate",
    "nssc": "superior",
    "nspc": "provincial",
    "pescad": "provincial appellate",
    "pesctd": "superior",
    "pepc": "provincial",
    "nlca": "provincial appellate",
    "nlsc": "superior",
    "nltd": "superior",
    "nlpc": "provincial",
    "ykca": "provincial appellate",
    "yksc": "superior",
    "yktc": "provincial",
    "ntca": "provincial appellate",
    "ntsc": "superior",
    "nttc": "provincial",
    "nuca": "provincial appellate",
    "nucj": "provincial",
    "yjcn": "provincial",
}

PROVINCE_TERRITORY_ABBREVIATIONS = {
    "alberta": "ab",
    "british columbia": "bc",
    "manitoba": "mb",
    "new brunswick": "nb",
    "newfoundland and labrador": "nl",
    "nova scotia": "ns",
    "ontario": "on",
    "prince edward island": "pe",
    "québec": "qc",
    "saskatchewan": "sk",
    "yukon": "yt",
    "northwest territories": "nt",
    "nunavut": "nu",
    "federal": "ca",
}
